Türkiye
Az konuş, çok çalış..

Forum

Bildirimler
Tümünü temizle

[ÇÖZÜLDÜ]gstreamer güncelleme hatası yardım !

Sayfa 1 / 2
Ens4R
(@ens4r)
Meraklı Kullanıcı

öncelikle selamun aleyküm forumda yeniyim linuxda da yeni sayılırım. apricity kurdum fakat güncelleme bildirimi geldi
bende tamam dedim ama şu hataları alıyorum

burda neyi seçmem gerekiyor onuda sormak istiyorum

bu hatayı alıyorum yukarda ki resimdeki 3 seçeneğide teker teker denedim bi sonuç alamadım.

Alıntı
Topic starter Gönderildi : 06/05/2017 1:47 pm
tulliana
(@tulliana)
Üye Admin

libsoup-gnome paketini kaldırın ve ondan sonra güncelleyin. Çünkü bahse konu gstreamer bağımlılıkları eski ve depolardan kaldırılmış bağımlılıklar.

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 06/05/2017 9:48 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

hocam nasıl kaldırıcam

CevapAlıntı
Topic starter Gönderildi : 07/05/2017 9:20 pm
tulliana
(@tulliana)
Üye Admin

sudo pacman -R libsoup-gnome
Ardından tekrar güncelleme yapın.

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 08/05/2017 1:42 am
Ens4R
(@ens4r)
Meraklı Kullanıcı

reis hata verdi libsoup-gnome bulunamadı dedi

CevapAlıntı
Topic starter Gönderildi : 08/05/2017 11:48 pm
tulliana
(@tulliana)
Üye Admin

Uçbirimden güncelleme yapın, hata verirse çıktını tamamını paylaşın

sudo pacman -Syyu

http://archman.org - Bizi bilen iyi bilir, bilmeyen de kendi gibi bilir.!

CevapAlıntı
Gönderildi : 09/05/2017 12:10 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

böyle oluyor

CevapAlıntı
Topic starter Gönderildi : 09/05/2017 1:22 pm
combative
(@combative)
Azimli Kullanıcı
git clone  https://aur.archlinux.org/gstreamer0.10.git  
cd gstreamer0.10
makepkg -g >> PKGBUILD
makepkg -sri

Sadece kendine saygı duyabilirsen diğerleri de sana saygı duymaya mecbur kalır.

CevapAlıntı
Gönderildi : 09/05/2017 2:13 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

o link hatalı hatalı yada çalışmıyor reis
dediklerini yaptım yine aynı hata değişmedi hiç

CevapAlıntı
Topic starter Gönderildi : 09/05/2017 3:31 pm
combative
(@combative)
Azimli Kullanıcı

Öncelikle yazdığın komutların çıktılarını görmemiz gerek bunu alışkanlık haline getir. Bizler falcı değiliz.  ;D

bağlantı doğru ve çalışıyor az önce kendim kurdum 
https://aur.archlinux.org/gstreamer0.10.git

sende bakabilirsin
https://aur.archlinux.org/packages/gstreamer0.10/

 ~>$ git clone  https://aur.archlinux.org/gstreamer0.10.git  
Cloning into 'gstreamer0.10'...
remote: Counting objects: 45, done.
remote: Compressing objects: 100% (43/43), done.
remote: Total 45 (delta 2), reused 45 (delta 2)
Unpacking objects: 100% (45/45), done.

~>$ cd gstreamer0.10
~/gstreamer0.10>$ makepkg -g >> PKGBUILD
==> Kaynaklar getiriliyor...
  -> tests-remove-silly-test_fail_abstract_new-check.patch bulundu
  -> bison3.patch bulundu
==> Kaynak kodları için bütünlük kontrolleri oluşturuluyor...
: ~/gstreamer0.10>$ makepkg -sri

==> gstreamer0.10 0.10.36-16 (Sal May  9 1932 +03 2017) paketi oluşturuluyor
==> Bağımlılıklar denetleniyor...
==> Derleme bağımlılıkları denetleniyor...
==> Eksik bağımlılıklar yükleniyor...

:: Kuruluma onay veriyor musunuz? [E/h] 
(1/1) anahtarlıktaki anahtarlar kontrol ediliyor        [##############################] 100%
(1/1) paket bütünlüğü kontrol ediliyor                  [##############################] 100%
(1/1) paket dosyaları yükleniyor                        [##############################] 100%
(1/1) dosya çakışmaları kontrol ediliyor                [##############################] 100%
(1/1) disk alanı kontrol ediliyor                      [##############################] 100%
:: Paket değişiklikleri işleniyor...
(1/1) tekrar kuruluyor gstreamer0.10                    [##############################] 100%
:: Bağlantılı işlemler listesi çalışıyor...
(1/1) Arming ConditionNeedsUpdate...
==> Removing installed dependencies...

NOt : arch ile işlem yapıyorum ayrıca çok sorun ise güncel olan paket sistemde var. BU paketi kaldırın paket yukleyicinize gstreamer  yazıp bakabilirsiniz.

Sadece kendine saygı duyabilirsen diğerleri de sana saygı duymaya mecbur kalır.

CevapAlıntı
Gönderildi : 09/05/2017 3:49 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

çok pardon  ;D
burdaki soruya evet dedim 

CevapAlıntı
Topic starter Gönderildi : 09/05/2017 3:56 pm
combative
(@combative)
Azimli Kullanıcı

Hata vermeden kuruldu mu? Son durumuna bakabilirmiyiz çıktının ayrıca terminalden kopyala kod etiketi içinde yayınla ki bizlerde daha net sorunu anlayıp görelim.

Sadece kendine saygı duyabilirsen diğerleri de sana saygı duymaya mecbur kalır.

CevapAlıntı
Gönderildi : 09/05/2017 4:04 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

sığmadı buraya karakter sınırını aştı.sonunu paylaşayım.

make[2]: Leaving directory '/home/ensar/gstreamer0.10/src/gstreamer'
make[1]: Leaving directory '/home/ensar/gstreamer0.10/src/gstreamer'
==> Kurulum düzenleniyor...
  -> libtool dosyaları kaldırılıyor...
  -> İstenmeyen dosyalar kaldırılıyor...
  -> Statik kütüphane dosyaları kaldırılıyor...
  -> İkilik dosyalardan ve kütüphanelerden gereksiz ayıklama sembolleri ayıklanıyor...
  -> Kılavuz ve bilgi sayfaları sıkıştırılıyor...
==> Checking for packaging issue...
==> "gstreamer0.10" paketi oluşturuluyor...
  -> .PKGINFO dosyası üretiliyor...
  -> .BUILDINFO dosyası üretiliyor...
  -> .MTREE dosyası oluşturuluyor...
  -> Paket sıkıştırılıyor...
==> fakeroot ortamından çıkılıyor.
==> gstreamer0.10 0.10.36-16 (Sal May  9 2056 +03 2017) paketinin derlenmesi tamamlandı
==> gstreamer0.10 paketi pacman -U ile kuruluyor ...
[sudo] password for ensar:
==> UYARI: Derlenen paket(ler) kurulamadı.
==> Removing installed dependencies...
[sudo] password for ensar:
paket bağımlılıkları araştırılıyor...

Paketler (3) gobject-introspection-1.52.1-1  intltool-0.51.0-2  perl-xml-parser-2.44-3

Toplam Kaldırılan Boyut:  10,77 MiB

:: Bu paketleri kaldırmak istiyor musunuz? [E/h] h
==> UYARI: Kurulu bağımlılıkları kaldırma işlemi başarısız oldu.
 ensar  ~  gstreamer0.10                                                                                                               master 
CevapAlıntı
Topic starter Gönderildi : 09/05/2017 4:17 pm
Ens4R
(@ens4r)
Meraklı Kullanıcı

son soruya evet dedim ilk başta kurduğğuklarını geri kaldırıyordu güncellemede yine aynı hatayı veriyodu şimdi hayır dedim yine güncellemede aynı hatayı verdi

CevapAlıntı
Topic starter Gönderildi : 09/05/2017 4:18 pm
combative
(@combative)
Azimli Kullanıcı

Arkadaşım neden hayır dedin her şeye evet yada enterle onayla geç ki kurulsun çakışan bağımlılıkları kaldırtmıyorsun ki kurulsun.  ;D
ben çaylağım ama anlayacak kadar gördüm

:: Bu paketleri kaldırmak istiyor musunuz? [E/h] h
==> UYARI: Kurulu bağımlılıkları kaldırma işlemi başarısız oldu.
ensar  ~  gstreamer0.10                                                                                                               master

çıktıları eklermisin

sudo pacman -Rsn gstreamer0.10
sudo pacman -S gstreamer
sudo pacman -Syyu

EDİT; Bu  APRICITY OS LINUX yerine neden archman yada normal arch kurmuyorsun Guı ler baş ağrıtır

Sadece kendine saygı duyabilirsen diğerleri de sana saygı duymaya mecbur kalır.

CevapAlıntı
Gönderildi : 09/05/2017 4:19 pm
Sayfa 1 / 2
Paylaş:
Translate »